#include "ChallengeSetData.h"


FChallengeSetData::FChallengeSetData()
{
	this->Type = EChallengeSetType::None;
	this->Type_IsSet = false;
	this->StartDate = TEXT("");
	this->EndDate = TEXT("");
	this->EndDate_IsSet = false;
	this->RewardTrackerId = TEXT("");
	this->RewardTrackerId_IsSet = false;
	this->MaxCount = 0;
	this->MaxCount_IsSet = false;
	this->ChallengeList = TArray<FChallengeListData>();
	this->TabIconPath = TEXT("");
	this->TabIconPath_IsSet = false;
	this->TabTitleStringId = TEXT("");
	this->TabTitle = TEXT("");
	this->TabTitle_IsSet = false;
	this->TabOrder = 0;
	this->HeaderIconPath = TEXT("");
	this->HeaderIconPath_IsSet = false;
	this->HeaderTitleStringId = TEXT("");
	this->HeaderTitleStringId_IsSet = false;
	this->HeaderTitle = TEXT("");
	this->HeaderTitle_IsSet = false;
	this->HeaderSubtitleStringId = TEXT("");
	this->HeaderSubtitleStringId_IsSet = false;
	this->HeaderSubtitle = TEXT("");
	this->HeaderSubtitle_IsSet = false;
	this->AdditionalInfoStringId = TEXT("");
	this->AdditionalInfoStringId_IsSet = false;
	this->AdditionalInfo = TEXT("");
	this->AdditionalInfo_IsSet = false;
	this->EventId = TEXT("");
	this->EventId_IsSet = false;
}
